Bug 60895 - Screen turns red/magenta with XFree86-4.2.0-32
Screen turns red/magenta with XFree86-4.2.0-32
Status: CLOSED ERRATA
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-08 11:14 EST by Alexander Farley
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-25 11:52:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Farley 2002-03-08 11:14:11 EST
Description of Problem: Occasionally the desktop will turn red/magenta.  It
would best be described as a loss of blue. Though no error message is ever
reported.  This only happens once in a while (once every other day?) and does
not crash the Xserver (glint).


Version-Release number of selected component (if applicable):
XFree86-4.2.0-32

How Reproducible:
It's cause is not immediately apparent, though it has not gone away since
XFree86-4.2.0-32 was installed.

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information: The XFree86-4.2.0-32 package was installed alone (i.e.
no other new rpm's were installed between the time that XFree86-4.2.0-32 was
installed and the problem was first witnessed).  I have a 2.4 GHz Pentium 4, 768
Mb RAM, 500 Mb Swap space, 3DLabs GVX1 Pro with 64 Mb SDRAM (chips R4 and
gamma2), Dell/Sony Ultrascan P991, kernel 2.4.17-0.18, XFree86-4.2.0-32 using
the glint Xserver.
Comment 1 Mike A. Harris 2002-03-11 00:48:00 EST
We have not ever released a package version 4.2.0-32
Comment 2 Alexander Farley 2002-03-11 09:14:33 EST
I appologize it is XFree86-4.2.0-6.32.
Comment 3 Alan Hourihane 2002-03-13 03:42:42 EST
It's a known problem with some Permedia3/R3/R4 boards.

We have a fix and it's going through some tests.

We should be able to release a patch soon.
Comment 4 Mike A. Harris 2002-05-21 01:57:26 EDT
alan, any word on the patch mentioned above?  If it is safe to apply
to 4.2.0, I'd like to make test rpm's available.

Thanks
Comment 5 Alan Hourihane 2002-05-21 04:07:57 EDT
Yes, I think we have it now.

I'll send a patch to you Mike.
Comment 6 Mike A. Harris 2002-08-16 07:29:00 EDT
Does this problem still occur with the current Red Hat Linux beta
release Limbo 2, or with rawhide XFree86?

I have updated this driver to the CVS version.
Comment 7 Mike A. Harris 2002-08-17 05:01:01 EDT
Believed to be fixed in rawhide, please verify.

Setting status to MODIFIED
Comment 8 Alexander Farley 2002-08-19 11:14:41 EDT
I will try the glint driver today (8/19/2002).
Comment 9 Alexander Farley 2003-06-02 11:52:52 EDT
I did not see this problem in XFree86-4.3.0-xx.
Comment 10 Mark J. Cox (Product Security) 2003-06-25 11:52:27 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-066.html

Note You need to log in before you can comment on or make changes to this bug.